debug_traceTransaction
Network: Arbitrum One · Mainnet · Chain ID 42161 (0xa4b1)
Counts as 5 requests. See Request Counting.
Tier: Paid plan required. Not available on Free.
Description
Returns the detailed trace of a transaction execution.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
transactionHash | hex | Yes | Transaction hash |
tracerConfig | object | No | Tracer config |
Request
{
"jsonrpc": "2.0",
"method": "debug_traceTransaction",
"params": [
"0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",
{
"tracer": "callTracer"
}
],
"id": 1
}Code Examples
curl -X POST https://arbitrum-one-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}],"id":1}'